We're updating the issue view to help you get more done. 

Hierarchy browser and record editor break in Internet Explorer 11

Description

The Providence user interface breaks in several critical places when used with Internet Explorer 11, including the hierarchy browser, record editor and display template parser.

Failures are due to use of "advanced" Javascript constructs such as function parameter defaults and arrow functions (argh).

Since these constructs are used sparingly at the moment we should replace them with older constructs compatible with IE11.

All of the current code appears to work OK with the Microsoft Edge browser.

Environment

None

Assignee

User known

Reporter

Naeem Muhammad

Labels

None

Components

Fix versions

Affects versions

Priority

Major
Configure